Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Incompatibilidad de taras al importar ActionBarSherlock

Estoy intentando crear un proyecto de ActionBarSherlock, he descargado la biblioteca y la he conectado a mi proyecto. En la ventana Problemas, veo el siguiente mensaje: Desajuste de los tarros! Corregir sus dependencias. ¿Como puedó resolver esté problema? Gracias por adelantado.

  • ¿Cómo mostrar la barra de progreso Indeterminada cuando se pulsa el botón Actualizar en ActionBarSherlock?
  • ¿Cómo implementar el widget de búsqueda en Action Bar Sherlock?
  • Configurar Slidemenu - ejemplo no funciona
  • Ningún recurso encontrado al usar el estilo Theme.Sherlock
  • ¿Cómo importar slidingmenu en Android Studio?
  • ¿Cómo puedo hacer que los elementos de ActionBar sean uno a la izquierda, uno en el centro y otro a la derecha?
  • Android Studio Error: Error: CreateProcess error = 216, Esta versión de% 1 no es compatible con la versión de Windows que está ejecutando
  • LG G4 no reconocido por Android Studio
  • ¿Cuál es la diferencia entre la versión mini SDK versión / SDK objetivo versión vs compilar SDK versión?
  • ¿Cómo implementar el widget de búsqueda en Action Bar Sherlock?
  • Cómo generar Key Hash para facebook SDK en Mac
  • ¿Cómo declarar varios atributos estilables con el mismo nombre para diferentes etiquetas?
  • 4 Solutions collect form web for “Incompatibilidad de taras al importar ActionBarSherlock”

    Actionbarsherlock tiene la biblioteca de soporte en ella. Esto probablemente causa un conflicto si la biblioteca de soporte también está en su proyecto principal. Cambiar el nombre de la biblioteca de soporte debe solucionar esto.

    Esto es si la biblioteca de soporte está causando la falta de coincidencia.

    Un clic derecho simple en el proyecto de la biblioteca de ActionBarSherlock entonces

    Herramientas de Android -> Agregar biblioteca de soporte

    Se abrirá un cuadro de diálogo, aceptar la licencia y hacer clic en instalar.

    Eclipse ADT descargará la biblioteca de soporte adecuada para usted.

    La solución anterior no funcionó para mí. Sin embargo, eliminé la biblioteca soportada en la carpeta de librerías de ActionBarSherlock y copié manualmente el archivo jar android-support-v4 de android-sdk / extras / support / v-4 al mismo. Entonces seguí los pasos habituales. Funcionó !

    Puedo arreglar esto:

    1. Haga clic derecho en Propiedades del proyecto
    2. Haga clic en Java Build Path
    3. Quite el tarro androide-soporte-v4 que ve en la "raíz"
    4. Haga clic derecho en "Android tools" -> Fix project …
    FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.